Bug 481486 - Crash when trying to edit bridge
Crash when trying to edit bridge
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-01-25 11:36 EST by udo
Modified: 2010-12-05 02:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-12-05 02:02:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description udo 2009-01-25 11:36:39 EST
Description of problem:
Crash when trying to edit bridge

Version-Release number of selected component (if applicable):

How reproducible:
Edited in a bridge to make LTSP work
Fired up the gui for network config to enable the interface

Steps to Reproduce:
1. Edited in a bridge to make LTSP work according to ltsp info
2. Fired up the gui for network config to enable the interface
3. boom
Actual results:
Component: system-config-network
Version: 1.5.95
Summary: TBf8f4a16f NCDevice.py:177:getDialog:TypeError: exceptions must be classes, instances, or strings (deprecated), not NotImplementedType

Traceback (most recent call last):
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 814, in on_editButton_clicked
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 922, in on_deviceEditButton_clicked
    button = self.editDevice(device)
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 950, in editDevice
    dialog = device.getDialog()
  File "/usr/share/system-config-network/netconfpkg/NCDevice.py", line 177, in getDialog
    raise NotImplemented
TypeError: exceptions must be classes, instances, or strings (deprecated), not NotImplementedType

Local variables in innermost frame:
self: Device.AllowUser=False

Expected results:
No crash

Additional info:
Comment 1 Bug Zapper 2009-06-09 06:53:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 2 udo 2009-06-15 09:45:44 EDT
In F11 now I see that the bridge 'cannot be edited' as a message when just trying that.
Comment 3 udo 2010-01-07 10:42:47 EST
Same thing in F12.
What can we do to find the root cause?
Comment 4 Harald Hoyer 2010-01-08 10:03:42 EST
because editing of bridge interfaces is not implemented..
Comment 5 Bug Zapper 2010-11-04 07:32:51 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Bug Zapper 2010-12-05 02:02:24 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.